<div *ngIf="!isAnyPetsExists && !isLoading"
     layout="column"
     layout-align="center"
     class="text-center height-100-per">
  <h1 class="mat-display-2 m-b-10">No pets yet</h1>
  <p>Add your first pet</p>
  <div class="p-t-32">
    <button mat-flat-button
            color="accent"
            (click)="callPetCreationDialog()">
      Add first pet
    </button>
  </div>
</div>

<div *ngIf="isAnyPetsExists">

  <div class="bg-white m-b-10 mat-elevation-z2">
    <mat-expansion-panel class="mat-elevation-z0">
      <mat-expansion-panel-header>
        <mat-panel-title class="p-x-10">
          Filters
        </mat-panel-title>
      </mat-expansion-panel-header>
      <ng-template matExpansionPanelContent>
        <div layout layout-wrap class="p-x-10">
          <ng-container *ngIf="filters">
            <mat-form-field flex="30">
              <mat-label>Owner</mat-label>
              <mat-select [(ngModel)]="filters.ownerId" name="selectedOwner" id="selectedOwner"
                          (selectionChange)="acceptFilter()">
                <mat-option *ngFor="let person of persons" [value]="person.id">
                  {{person.firstName}} {{person.lastName}}
                </mat-option>
              </mat-select>
            </mat-form-field>
          </ng-container>
        </div>
      </ng-template>
    </mat-expansion-panel>
  </div>

  <div class="bg-white relative p-15 mat-elevation-z2">
    <app-loading-animation *ngIf="isLoading"></app-loading-animation>

    <div [class.blur-2]="isLoading">
      <div layout layout-align="space-between" class="m-l-20">
        <h2>Pets</h2>
        <button mat-flat-button
                color="accent"
                (click)="callPetCreationDialog()">
          Add new pet
        </button>
      </div>

      <ng-container *ngIf="isLoading || tableData?.totalCount">
        <div class="table-wrapper">
          <table mat-table
                 class='width-100-per'
                 [dataSource]="tableData?.list"
                 matSort
                 (matSortChange)="onSort($event)">
            <ng-container matColumnDef="name">
              <th mat-header-cell *matHeaderCellDef mat-sort-header>Name</th>
              <td mat-cell *matCellDef="let element">
                {{element.name}}

                <span *ngIf="element.deletedAt"
                      class="c-warning">
                (Deactivated)
              </span>
              </td>
            </ng-container>

            <ng-container matColumnDef="type">
              <th mat-header-cell *matHeaderCellDef mat-sort-header>isEmployee</th>
              <td mat-cell *matCellDef="let element"> {{element.type.name}} </td>
            </ng-container>

            <ng-container matColumnDef="owner">
              <th mat-header-cell *matHeaderCellDef mat-sort-header>Owner</th>
              <td mat-cell *matCellDef="let element"> {{element.owner.fullName}}</td>
            </ng-container>

            <ng-container matColumnDef="Actions">
              <th mat-header-cell *matHeaderCellDef></th>
              <td mat-cell *matCellDef="let element" class="text-right">
                <button mat-icon-button [matMenuTriggerFor]="actionMenu">
                  <mat-icon>more_vert</mat-icon>
                </button>
                <mat-menu #actionMenu="matMenu">

                  <button
                    mat-menu-item
                    (click)="callPetEditDialog(element.id)">
                    Edit
                  </button>
                  <button
                    mat-menu-item
                    (click)="callRemovalDialog(element.id)">
                    Remove
                  </button>
                </mat-menu>
              </td>
            </ng-container>

            <tr mat-header-row
                *matHeaderRowDef="['name','type','owner', 'Actions']"></tr>
            <tr mat-row
                *matRowDef="let row; columns: ['name','type','owner', 'Actions'];"
                class="expanded element-row"></tr>
          </table>
        </div>

        <mat-paginator [length]="tableData?.totalCount" [pageSize]="filters.pageSize"
                       [pageSizeOptions]="[5, 10, 25, 100]"
                       [pageIndex]="filters.page"
                       (page)="onPaginationChanged($event)"></mat-paginator>
      </ng-container>
      <ng-container *ngIf="tableData && !tableData?.totalCount">
        <h3>No data found</h3>
      </ng-container>
    </div>
  </div>
</div>
